$(document).ready(function()
{
    $(document).on('change', '[name*=unit]', function()
    {
        $(this).parent().find('.fixed, .year, .AI, .input').show().not('.' + $(this).val()).hide();
    });

    $(document).on('change', 'input, select', function()
    {
        var unitList        = $('[name*=unit]');
        var fixedList       = $('[name*=fixed]');
        var yearLengthList  = $('[name*=yearLength]');
        var AILengthList    = $('[name*=AILength]');
        var inputList       = $('[name*=input]');

        var date    = new Date();
        var codeFormat = '';
        for(i = 0; i < unitList.size(); i++)
        {
            var code = '';
            switch(unitList[i].value)
            {
            case 'fixed':
                code = fixedList[i].value;
                if(code == '') code = 'Con';
                break;              
            case 'year':
                code = date.getFullYear().toString();
                if(yearLengthList[i].value == 2) code = code.substring(2); 
                break;              
            case 'month':
                code = date.getMonth() + 1;
                if(code < 10) code = '0' + code;
                break;              
            case 'day':
                code = date.getDate();
                if(code < 10) code = '0' + code;
                break;              
            case 'input':
                code = inputList[i].value;
                break;              
            case 'AI':
                for(j = 1; j < AILengthList[i].value; j++)
                {
                    code += '0';
                }
                code += '1';
                break;     
            }
            codeFormat += code;
        }
        
        $('#codeFormat').val(codeFormat);
    })

    /* Add a unit. */
    $(document).on('click', '.addItem', function()
    {
        $(this).parents('.input-row').after("<div class='input-row'>" + $(this).parents('.input-row').html() + '</div>');
        $('[name*=unit]:first').change();
    });

    /* Delete a option. */
    $(document).on('click', '.delItem', function()
    {
        if($('[name*=unit]').length == 1) return;
        $(this).parents('.input-row').remove();
        $('[name*=unit]:first').change();
    });

    $('[name*=unit]').change();
});
